//--------------------------------------------------------
// HuckleberryFinnHalfHeight.cs  2001 by Charles Petzold
//--------------------------------------------------------
using System;
using System.Drawing;
using System.Windows.Forms;

class HuckleberryFinnHalfHeight: Form
{
     public static void Main()
     {
          Application.Run(new HuckleberryFinnHalfHeight());
     }
     public HuckleberryFinnHalfHeight()
     {
          Text = "\"Las aventuras de Huckleberry Finn\"";
          BackColor = SystemColors.Window;
          ForeColor = SystemColors.WindowText;
          ResizeRedraw = true;
     }
     protected override void OnPaint(PaintEventArgs pea)
     {
          Graphics  grfx = pea.Graphics;
          int       cx   = ClientSize.Width;
          int       cy   = ClientSize.Height;
          Pen       pen  = new Pen(ForeColor);
          Rectangle rect = new Rectangle(0, 0, cx / 2, cy / 2);

          grfx.DrawString(     
			  "No sabris quin soy yo si no habis ledo " +
			  "un libro titulado \"Las aventuras de Tom " +
			  "Sawyer\", pero no importa. Ese libro lo " +
			  "escribi el seor Mark Twain y cont la " +
			  "verdad, casi siempre. Algunas cosas las " +
			  "exager, pero casi siempre dijo la verdad. " +
			  "Eso no es nada. Nunca he visto a nadie que " +
			  "no mintiese alguna vez, menos la ta Polly, " +
			  "o la viuda, o quiz Mary. De la ta " +
			  "Polly\x2014es la ta Polly de Tom\x2014y de " +
			  "Mary y de la viuda Douglas se cuenta todo en " +
			  "ese libro, que es verdad en casi todo, con " +
			  "algunas exageraciones, como he dicho antes.", 
               Font, new SolidBrush(ForeColor), rect);

          grfx.DrawLine(pen, 0,      cy / 2, cx / 2, cy / 2);
          grfx.DrawLine(pen, cx / 2, 0,      cx / 2, cy / 2);
     }
}
